# Get chaos component variables

Get chaos component variables (faults, probes, actions)

Endpoint: GET /gateway/chaos/manager/api/v3/integrations/get-chaos-component-variable
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `hubReference` (string)

  - `identifier` (string)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `projectIdentifier` (string)
    project id to access the resource

  - `type` (string)
    Enum: "Fault", "Probe", "Action"

## Response 200 fields (application/json):

  - `items` (array)

  - `items.name` (string)

  - `items.variables` (array)

  - `items.variables.allowedValues` (array)

  - `items.variables.category` (string)
    Enum: "FaultTarget", "FaultTunable", "TargetInfra", "ExperimentTunable", "ActionProperties", "ProbeProperties", "RunProperties", "FaultAuthentication"

  - `items.variables.default` (any)

  - `items.variables.description` (string)

  - `items.variables.name` (string, required)

  - `items.variables.path` (string)

  - `items.variables.required` (boolean)

  - `items.variables.stringify` (boolean)

  - `items.variables.tags` (array)

  - `items.variables.tooltipId` (string)

  - `items.variables.type` (string)
    Enum: "String", "Integer", "Boolean", "Number", "SecretFile", "SecretText"

  - `items.variables.validator` (string)

  - `items.variables.value` (any, required)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


